ShutterSlider - pb d'installation

Bonjour à tous,
et merci à Salvialf pour son travail,
Je voudrais installer le plugin Shutter slider sans passer par pimp my jeedom car je souhaiterai pouvoir le modifier le code (j’ai des actuateurs tébis qui me renvoient l’état du volet en 3 états…) et je ne vois pas cette possibilité avec le plugin d’install.
Hors j’ai un problème d’installation. je copie les fichiers du zip dans /data/dashboard puis j’associe le plugin à ma commande curseur. dans le widget, je n’ai alors pas d’affichage de l’image de fond ni le volet mais seulement un selecteur blanc qui apparait.
Capture2
De plus il y a une erreur Javascript qui apparait dans Jeedom.

Capture
Quelqu’un aurait-il une idée ?

merci

Fabrice

Salut @FabriceC01,

C’est dans une vue jeedom que tu as ce comportement? Car le message semble correspondre à une vue. Qu’en est-il sur le dashboard ou sur un design?

Qu’il y a t’il comme erreur en console du navigateur? F12 sous Chrome.

Merci Salvialf pour ta réponse aussi rapide.
J’ai le même problème d’affichage dans le dashboard mais l’erreur Javscript ne semble être que dans les vues.

voici l’erreur en console :
Capture3
Fabrice

Il n’y a que cette erreur en console?

J’suis pas convaincu que l’erreur soit liée au widget… :thinking:

Le widget est présent sur la vue portant l’id numéro 3 ? Si tu repasse sur un widget core l’erreur disparaît? Tu vois l’id sur l’adresse dans le navigateur.

Tu as mis des paramètres optionnels?

Je vérifierai demain j’ai touché aux fichiers dernièrement pour adapter les repos au plugin, y’a peut-être une erreur quelque part. Tu es en quelle version de jeedom? Page santé toute au vert?

PAs d’autre erreur… Le widget est bien sur la vue 3
Tu as raison : en widget core c’est idem mais si je mets le widget sur une autre vue pas d’erreur. Elle doit venir d’un autre widget.
Pas de parametres optionnels pour l’instant.
Je suis en V4.0.61 et page santé OK.

J’ai vu qu’il y a des différences de nom de fichiers entre la version widget et la version pimp (noms en anglais/français…)

Je creuserais plus demain.

Fabrice

Salut @FabriceC01,

Je viens de tester l’installation du widget hors Pimp my Jeedom en récupérant les fichiers de ce sujet et ça fonctionne comme attendu :

Tu as le plugin Pimp my Jeedom ? Attention à ne pas avoir 2 fois un widget avec le même nom entre les widgets tiers et ceux inclus dans le plugin, même si je ne pense pas que ce soit en lien avec ton souci ça peut être source de conflit.

As-tu pu avancer de ton côté ou c’est toujours pareil ?

Bonjour Salvialf,
J’ai tout désinstallé et repris à zéro le widget et ça marche. Je ne comprends pas quel était le problème…
J’ai toujours l’erreur dans ma vue mais elle ne concerne pas ton widget apparemment.
Merci encore pour ton aide.
PS: as-tu fait des versions mobile ?
Fabrice

J’ai commencé mais c’est une réécriture complète à faire pour l’affichage sur mobile :confused: …mais ça va arriver tôt ou tard :wink:

Pour ton erreur tu peux ouvrir un nouveau sujet… J’ai fait une recherche Google, cette erreur est déjà apparu sur le plugn Nimbus et sur le widget SlidVertical (widget précédant ShutterSlider justement). Tu utilises un de ces 2 codes ?

J’utilisais SlidVertical quand j’étais en V3. Je suis en train de mettre à jour en V4. Mais normalement j’ai supprimé tous mes anciens widgets.
Fabrice
Pas de souci pour le mobile, les widget core suffisent pour l’instant.